<mat-tab-group
  color="primary"
  backgroundColor="primary"
  #tabRef
  (selectedTabChange)="onChanged($event)"
  class="calendar-tabs"
  [selectedIndex]="selectedIndex"
>
  <mat-tab *ngFor="let item of data; let index = index">
    <ng-template mat-tab-label>
      <span *ngIf="viewType == 'day'" class="calendar__row">
        {{ item.value | date: 'EEEE : dd ' }}
      </span>
      <span *ngIf="viewType == 'week'" class="calendar__row">
        {{ item.value | customWeekDate }}
      </span>
    </ng-template>
  </mat-tab>
</mat-tab-group>
